ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Opt.Specialise

Synopsis

- specProgram :: ModGuts -> CoreM ModGuts
- specUnfolding :: SimpleOpts -> [Var] -> (CoreExpr -> CoreExpr) -> [CoreArg] -> Unfolding -> Unfolding

# Documentation

specProgram :: ModGuts -> CoreM ModGuts Source #

Specialise calls to type-class overloaded functions occurring in a program.

specUnfolding :: SimpleOpts -> [Var] -> (CoreExpr -> CoreExpr) -> [CoreArg] -> Unfolding -> Unfolding Source #